Skip to main content
GET
Get a scheduling task

Authorizations

Authorization
string
header
required

API tokens are passed as Bearer tokens.

Path Parameters

taskId
string
required

a task ID. Accepts the canonical prefixed compact UUID, a prefixed dashed UUID, a bare dashed UUID, or a bare compact UUID; input is case-insensitive.

Pattern: ^(?:tsk_)?(?:[0-9a-fA-F]{32}|[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$
Example:

"tsk_a1b2c3d4e5f64789a1b2c3d4e5f64789"

Response

Success

id
string
required

Canonical task ID (tsk_ followed by 32 lowercase hexadecimal UUID characters).

Pattern: ^tsk_[0-9a-f]{32}$
Example:

"tsk_a1b2c3d4e5f64789a1b2c3d4e5f64789"

application
object | null
required
job_stage
object | null
required
status
enum<string>
required
Available options:
NEEDS_AVAILABILITY,
WAITING_FOR_CANDIDATE,
READY_TO_SCHEDULE,
READY_TO_RESCHEDULE,
HOLD,
READY_TO_SEND_TO_CANDIDATE,
SCHEDULED,
COMPLETED,
CANCELED,
NEEDS_DEBRIEF
is_urgent
boolean
required
assignee
object | null
required
queue_id
string | null
required

Canonical task queue ID (que_ followed by 32 lowercase hexadecimal UUID characters).

Pattern: ^que_[0-9a-f]{32}$
Example:

"que_a1b2c3d4e5f64789a1b2c3d4e5f64789"

tags
string[]
required
flags
object[]
required
is_debrief_required
boolean
required
delegation
object
required
notes
object[]
required
created_at
string<date-time>
required

ISO 8601 timestamp. Responses are normalized to UTC with a Z suffix.

updated_at
string<date-time>
required

ISO 8601 timestamp. Responses are normalized to UTC with a Z suffix.

app_url
string<uri>
required

Link that opens this resource in the ModernLoop app.